
QGIS Application - Bug report #15969

categorized labeled layers with virtual fields crash qgis

2016-12-11 06:42 AM - Gerhard Spieles

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:2.18.0 Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23885

Description

When you label categorized layers with virtual fields (e.g. $area), QGIS crash, when visibility is toggeled on/off.

Testproject is attached

History

#1 - 2016-12-15 08:05 AM - Saber Razmjooei

- Priority changed from High to Severe/Regression

- Target version changed from Version 2.18 to Version 2.14

It is even worse in 2.14

Marked it as regression and hopefully the fix will be backported to 2.14

#2 - 2017-02-28 02:03 PM - Giovanni Manghi

- Target version changed from Version 2.14 to Version 2.18

- Status changed from Open to Feedback

I cannot replicate with the attached project and data on Windows and 2.18.4

can you test if in this version is fixed?

#3 - 2017-03-05 12:33 PM - Gerhard Spieles

- File qgis2_18_4_crash_categorized_layer.jpg added

Just tested it with 2.18.4, win 10 and QGIS crash when toggling e.g the layer "second", categorie 1 from "on" to "off".

Screenshot is attached.

#4 - 2017-03-06 04:23 AM - Giovanni Manghi

Gerhard Spieles wrote:

Just tested it with 2.18.4, win 10 and QGIS crash when toggling e.g the layer "second", categorie 1 from "on" to "off".

Screenshot is attached.
still cannot replicate. Please test with a clean encironment, by disabling/remeoving all the 3rd party plugins, removing the .qgis2 folder (you my want to

make a backup first), etc.

#5 - 2017-03-06 06:15 AM - Gerhard Spieles

Tested it again with a fresh intalled QGIS and no crash happens.

Also no crash on this machine, when i install the same 3rd party plugins.

The problems seems to cause from earlier version-entries in the .qgis2 folder or registry entries.

Thank you for the hints and the issue can be closed.

#6 - 2017-03-06 06:45 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

test_categorize.zip 13.7 KB 2016-12-11 Gerhard Spieles

qgis2_18_4_crash_categorized_layer.jpg 102 KB 2017-03-05 Gerhard Spieles
